
file_id = "SETUP_DEVICE"

--[[

	TDCP_328 コントローラ初期設定スクリプト
	
]]          

local device = "Device1"

log_msg("start..",file_id)

local stat,serial,addr16,result

stat,serial,addr16 = xbee_my_serial_number()
if (not stat) or (addr16 == "") then error() end
log_msg("DeviceServer's XBee address is " .. addr16,file_id)

stat,result = xbee_tdcp_command(device,"server_addr," .. addr16)
if (not stat) or (result[2] ~= "1") then error() end

stat,result = xbee_tdcp_command(device,"dio_config,0")
if (not stat) or (result[2] ~= "1") then error() end

stat,result = xbee_tdcp_command(device,"pullup,FF")
if (not stat) or (result[2] ~= "1") then error() end

stat,result = xbee_tdcp_command(device,"adc_vref,3")
if (not stat) or (result[2] ~= "1") then error() end

stat,result = xbee_tdcp_command(device,"sampling_rate,600")
if (not stat) or (result[2] ~= "1") then error() end

stat,result = xbee_tdcp_command(device,"config_save")
if (not stat) or (result[2] ~= "1") then error() end

stat,result = xbee_tdcp_command(device,"reset",true)
if (not stat) then error() end



