
file_id = "PERIODIC_TIMER"

--[[
******************************************************************************
＊イベントハンドラスクリプト実行時間について＊

一つのスクリプトの実行は長くても数秒以内で必ず終了するようにしてください。
処理に時間がかかると、イベント処理の終了を待つアラームデバイスで、
タイムアウトが発生します。

また、同時実行可能なスクリプトの数に制限があるため、他のスクリプトの実行開始が
待たされる原因にもなります。

******************************************************************************
]]


------------------------------------------------------------------------
-- 2時間に一回 ACTIVITIES_CHECK,SENSOR_DATA_PURGE スクリプトを実行する
------------------------------------------------------------------------
stat,val = inc_shared_data("TIME_2H")
if not stat then error() end
if (tonumber(val) == 1) then

	if not script_fork_exec("HOMESENSOR/ACTIVITIES_CHECK","","") then error() end

	if not script_fork_exec("HOMESENSOR/SENSOR_DATA_PURGE","","") then error() end

end

if (tonumber(val) > 120) then
	stat = set_shared_data("TIME_2H","")
	if not stat then error() end
end



